## xserver-xorg-input-synaptics 1.2.2-2ubuntu5-mactel1

=== debian/changelog ===
xserver-xorg-input-synaptics (1.2.2-2ubuntu5-mactel1) maverick; urgency=low

  * Improved pointer stability when multiple fingers are over the touchpad.

 -- Wagner Volanin <ubuntu-linux@volanin.com.br>  Sat, 03 Oct 2010 12:00:00 -0300

xserver-xorg-input-synaptics (1.2.2-2ubuntu5) maverick; urgency=low

  * 115_evdev_only.patch was added but never applied. (LP: #624985)

 -- Chase Douglas <chase.douglas@ubuntu.com>  Sat, 18 Sep 2010 15:19:21 +0200

xserver-xorg-input-synaptics (1.2.2-2ubuntu4) maverick; urgency=low

  [Chase Douglas]
  * 115_evdev_only.patch:
    - Prevent non-evdev devices from firing the eventcomm AutoDevProbe callback
      (LP: #624985)

 -- Bryce Harrington <bryce@ubuntu.com>  Wed, 15 Sep 2010 16:27:29 -0700

xserver-xorg-input-synaptics (1.2.2-2ubuntu3) maverick; urgency=low

  * Rebuild against new Xserver 1.9 ABI

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Mon, 09 Aug 2010 21:47:56 +1000

xserver-xorg-input-synaptics (1.2.2-2ubuntu2) maverick; urgency=low

  * 51-synaptics-quirks.conf, 66-xorg-synaptics.rules:
    - Put back quirk for Inspiron 1120 which was probably lost in a merge.

 -- Alberto Milone <alberto.milone@canonical.com>  Fri, 06 Aug 2010 12:26:59 +0200

xserver-xorg-input-synaptics (1.2.2-2ubuntu1) maverick; urgency=low

  [ Robert Hooker ]
  * Merge from debian unstable, remaining changes:
    - Split out our synaptics quirks into 51-synaptics-quirks.conf
    - Add the udev rule back for tagging specific machines to be quirked
    - 103_enable_cornertapping.patch: Enable right/middle clicks by
      tapping in the bottom- and top-right corners.
    - 104_always_enable_tapping.patch: Enable tapping regardless of the
      presence of physical buttons.
    - 106_always_enable_vert_edge_scroll.patch: Enable vertical edge
      tapping by default even if we enable two-finger scrolling as well.
    - 114_jumpy_cursor_first_part.patch: Adds a property to enable filtering
      jumpy cursor problems on some machines.
  * Add a dependency on udev.

  [ Christopher James Halse Rogers ]
  * debian/gbp.conf:
    - Make git-buildpackage less annoying by specifying “ubuntu” as our debian
      branch.

 -- Robert Hooker <sarvatt@ubuntu.com>  Mon, 07 Jun 2010 19:07:59 -0400

xserver-xorg-input-synaptics (1.2.2-2) unstable; urgency=low

  * Cherry-pick patch from upstream git to add the xorg.conf.d snippet.
  * Replace our local copy with that one.
  * Build-Depend on new xserver-xorg-dev, which lets us install the snippet to
    /usr/share/X11/xorg.conf.d.
  * Drop postinst, we don't need to trigger udev anymore.
  * Sanitize installation of manpage into the package.
  * Update to new xsfbs, use ${xinpdriver:Depends} in debian/control.
  * Drop dependency on udev, since we have no udev rules or trigger.

  [ Cyril Brulebois ]
  * Add myself to Uploaders.
  * Bump Standards-Version from 3.8.3 to 3.8.4 (no changes needed).

 -- Cyril Brulebois <kibi@debian.org>  Sat, 17 Apr 2010 17:48:26 +0200

xserver-xorg-input-synaptics (1.2.2-1ubuntu2) lucid; urgency=low

  * 10-synaptics.conf: Use 'MatchDevicePath "/dev/input/event*"'.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 01 Apr 2010 14:34:20 +0300

xserver-xorg-input-synaptics (1.2.2-1ubuntu1) lucid; urgency=low

  * Merge from Debian unstable. (LP: #546933)
  * Rewrite old quirks to use ID_INPUT.tags.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Wed, 31 Mar 2010 00:27:07 +0300

xserver-xorg-input-synaptics (1.2.2-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * Add xserver-xorg-input-synaptics-dev for the header and .pc files.
    (LP: #340340)
  * Run udevadm trigger on postinst, and depend on udev [linux-any].
  * Add 10-synaptics.conf.
  * Drop Ubuntu specific quirks from the udev rules, add a placeholder.

  [ Julien Cristau ]
  * Add hurd-i386 to the Architecture field.  Requested by Samuel Thibault.
  * Drop references to hal from debian/NEWS, README.Debian and synaptics(4)
    (closes: #564549).
  * Rename the build directory to not include DEB_BUILD_GNU_TYPE for no
    good reason.  Thanks, Colin Watson!

  [ Brice Goglin ]
  * Fix reference to the synaptics manpage in README.Debian,
    closes: #568628.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 30 Mar 2010 21:51:15 +0300

xserver-xorg-input-synaptics (1.2.1-1) unstable; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.

  [ Cyril Brulebois ]
  * Add ${misc:Depends} to Depends.
  * Remove hardcoded libxi6 from Depends, and wrap them.
  * Upload to unstable.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 08 Jan 2010 00:55:04 +0100

xserver-xorg-input-synaptics (1.2.0-3ubuntu1) lucid; urgency=low

  * Merge from Debian experimental, remaining changes:
    - 103_enable_cornertapping.patch: Enable right/middle clicks by
      tapping in the bottom- and top-right corners.
    - 104_always_enable_tapping.patch: Enable tapping regardless of the
      presence of physical buttons.
    - 106_always_enable_vert_edge_scroll.patch: Enable vertical edge 
      tapping by default even if we enable two-finger scrolling as well.
  * Disabled until fixed to apply and work:
    - 114_jumpy_cursor_first_part.patch
  * Dropped, using udev now:
    - 115_jumpy_cursor_second_part.patch

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Mon, 07 Dec 2009 22:58:38 +0200

xserver-xorg-input-synaptics (1.2.0-3) experimental; urgency=low

  [ Julien Cristau ]
  * Install an udev rule instead of an fdi file on linux.
  * Build against xserver 1.7 (closes: #549109).
  * Add sh4 and kfreebsd-{amd64,i386} to the arch list (closes: #557881,
    #559401).

  [ Cyril Brulebois ]
  * Upload to experimental.

 -- Cyril Brulebois <kibi@debian.org>  Sat, 05 Dec 2009 21:27:48 +0100

xserver-xorg-input-synaptics (1.2.0-2) unstable; urgency=low

  [ Mattia Dongili ]
  * Negate the match on keyboard capabilities in the default fdi file
    (closes: #557252).

 -- Mattia Dongili <malattia@debian.org>  Sat, 21 Nov 2009 13:00:37 +0900


