=== debian/control ===
Source: xserver-xorg-input-synaptics
Section: x11
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Mattia Dongili <malattia@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends:
 debhelper (>= 5.0.0),
 libx11-dev,
 libxext-dev,
 libxi-dev (>= 2:1.2.0),
 x11proto-core-dev,
 xserver-xorg-dev (>= 2:1.7.6.901),
 pkg-config,
 quilt,
 automake,
 libtool,
 xutils-dev,
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/pkg-xorg/driver/xserver-xorg-input-synaptics
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/driver/xserver-xorg-input-synaptics.git

Package: xserver-xorg-input-synaptics
Architecture: alpha amd64 arm armeb armel hppa hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel powerpc sh4 sparc
Depends:
 udev [linux-any],
 ${shlibs:Depends},
 ${xinpdriver:Depends},
 ${misc:Depends}
Conflicts: xfree86-driver-synaptics (<< 0.14.4-2), xorg-driver-synaptics
Replaces: xfree86-driver-synaptics (<< 0.14.4-2), xorg-driver-synaptics
Provides: ${xinpdriver:Provides}, xfree86-driver-synaptics, xorg-driver-synaptics
Suggests: gpointing-device-settings, touchfreeze
Description: Synaptics TouchPad driver for X.Org server
 This package provides an input driver for the X.Org X server to enable
 advanced features of the Synaptics Touchpad including:
 .
  * Movement with adjustable, non-linear acceleration and speed
  * Button events through short touching of the touchpad
  * Double-Button events through double short touching of the touchpad
  * Dragging through short touching and holding down the finger on the touchpad
  * Middle and right button events on the upper and lower corner of the touchpad
  * Vertical scrolling (button four and five events) through moving the finger 
    on the right side of the touchpad
  * The up/down button sends button four/five events
  * Horizontal scrolling (button six and seven events) through moving the finger 
    on the lower side of the touchpad
  * The multi-buttons send button four/five events, and six/seven events for 
    horizontal scrolling
  * Adjustable finger detection
  * Multifinger taps: two finger for middle button and three finger for right 
    button events. (Needs hardware support. Not all models implement this 
    feature.)
  * Run-time configuration using shared memory. This means you can change 
    parameter settings without restarting the X server (see synclient(1)).
  * It also provides a daemon to disable touchpad while typing at the keyboard 
    and thus avoid unwanted mouse movements (see syndaemon(1)).
 .

Package: xserver-xorg-input-synaptics-dev
Section: libdevel
Architecture: all
Depends:
 x11proto-core-dev,
 ${misc:Depends},
Description: Synaptics TouchPad driver for X.Org server (development headers)
 This package contains the development headers for the Synaptics input
 driver found in xserver-xorg-input-synaptics. Non-developers likely have
 little use for this package.
